# Uses of Record Class
org.apache.lucene.index.StoredFieldDataInput

Packages that use StoredFieldDataInput
Package
Description
org.apache.lucene.codecs
Codecs API: API for customization of the encoding and structure of the index.
org.apache.lucene.codecs.lucene90.compressing
Lucene 9.0 compressing format.
org.apache.lucene.document
The logical representation of a `Document` for indexing and searching.
org.apache.lucene.index
Code to maintain and access indices.

- ## Uses of StoredFieldDataInput in org.apache.lucene.codecs

  Methods in org.apache.lucene.codecs with parameters of type StoredFieldDataInput
  Modifier and Type
  Method
  Description
  `void`
  StoredFieldsWriter.MergeVisitor.`binaryField(FieldInfo fieldInfo, StoredFieldDataInput value)`
  `void`
  StoredFieldsWriter.`writeField(FieldInfo info, StoredFieldDataInput value)`
  Writes a stored binary value from a `StoredFieldDataInput`.

- ## Uses of StoredFieldDataInput in org.apache.lucene.codecs.lucene90.compressing

  Methods in org.apache.lucene.codecs.lucene90.compressing with parameters of type StoredFieldDataInput
  Modifier and Type
  Method
  Description
  `void`
  Lucene90CompressingStoredFieldsWriter.`writeField(FieldInfo info, StoredFieldDataInput value)`

- ## Uses of StoredFieldDataInput in org.apache.lucene.document

  Methods in org.apache.lucene.document that return StoredFieldDataInput
  Modifier and Type
  Method
  Description
  `StoredFieldDataInput`
  StoredValue.`getDataInputValue()`
  Retrieve a data input value.
  Methods in org.apache.lucene.document with parameters of type StoredFieldDataInput
  Modifier and Type
  Method
  Description
  `void`
  StoredValue.`setDataInputValue(StoredFieldDataInput value)`
  Set a data input value.
  Constructors in org.apache.lucene.document with parameters of type StoredFieldDataInput
  Modifier
  Constructor
  Description
  ``
  `StoredField(String name, StoredFieldDataInput value)`
  Create a stored-only field with the given data input value.
  ``
  `StoredValue(StoredFieldDataInput value)`
  Ctor for data input values.

- ## Uses of StoredFieldDataInput in org.apache.lucene.index

  Methods in org.apache.lucene.index with parameters of type StoredFieldDataInput
  Modifier and Type
  Method
  Description
  `void`
  StoredFieldVisitor.`binaryField(FieldInfo fieldInfo, StoredFieldDataInput value)`
  Expert: Process a binary field directly from the `StoredFieldDataInput`.